Package org.apache.tapestry5.internal.bindings

## Class InvariantBinding

- java.lang.Object
- - org.apache.tapestry5.ioc.BaseLocatable
  - - org.apache.tapestry5.internal.bindings.AbstractBinding
    - - org.apache.tapestry5.internal.bindings.InvariantBinding

- All Implemented Interfaces:
    `Binding`, `Binding2`, `AnnotationProvider`, `Locatable`

      public abstract class InvariantBinding
      extends AbstractBinding

  Extends `AbstractBinding` with a description and a binding type, with invariant forced to true.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.lang.String` | `description` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InvariantBinding​(Location location, java.lang.Class bindingType, java.lang.String description)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Class` | `getBindingType()` | Returns the actual class, by invoking `Binding.get()`.
    `boolean` | `isInvariant()` | Returns true.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class org.apache.tapestry5.internal.bindings.AbstractBinding

      `getAnnotation, getBindingGenericType, set`

    - ### Methods inherited from class org.apache.tapestry5.ioc.BaseLocatable

      `getLocation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tapestry5.Binding

      `get`

- - ### Field Detail

    - #### description

          protected final java.lang.String description

  - ### Constructor Detail

    - #### InvariantBinding

          public InvariantBinding​(Location location,
                                  java.lang.Class bindingType,
                                  java.lang.String description)

  - ### Method Detail

    - #### isInvariant

          public boolean isInvariant()

      Returns true.
      Specified by:
        `isInvariant` in interface `Binding`
      Overrides:
        `isInvariant` in class `AbstractBinding`

    - #### getBindingType

          public java.lang.Class getBindingType()

      Description copied from class: `AbstractBinding`
      Returns the actual class, by invoking `Binding.get()`. Subclasses may override this method to work more efficiently (say, when the binding type is known statically).
      Specified by:
        `getBindingType` in interface `Binding`
      Overrides:
        `getBindingType` in class `AbstractBinding`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`